// $id: Node Translation Javascript

Drupal.node_translation = {};

if (Drupal.jsEnabled) {
  $(document).ready(function() {
    // Close the popup that is displayed when the user is working with translations
    $('.node-translation-view .close a.close').click(function() {
      $('.node-translation-view').slideUp();
      $('.node-translation-view .title').html('');
      $('.node-translation-view .data').html('');
      return false;
    });

    // For any links that have node translations we give them a click function
    // This will pull the pertinent translations from the system for the node
    $('a.node-translation-link').click(function() {
      var href = this.href;
      $.ajax({
        type: "GET",
        url: href,
        processData: false,
        dataType: "html",
        success: function(data, status) {
          try {
            $('.node-translation-view .title').html(Drupal.t('Current Node Translations'));
            $('.node-translation-view .data').html(data);
            $('.node-translation-view').slideDown();
            // Setting the click for nodes that we wish to translate
            $('a.node-translation-link-translate').click(function() {
              Drupal.node_translation.nodeTranslate(this.href);
              return false;
            });
            // Setting the click for nodes that we wish to set the language for
            $('a.node-translation-link-language').click(function() {
              Drupal.node_translation.nodeSetLanguage(this.href);
              return false;
            });
          } catch (e) {}
        },
        error: function(xhr, status, thrown) {
          // Do nothing but at least have this function to handle it
        }
      });
      return false;
    });
  });
}

/**
 *
 */
Drupal.node_translation.nodeTranslate = function(url) {
  $.ajax({
    type: "GET",
    url: url,
    processData: false,
    dataType: "html",
    success: function(data, status) {
      try {
        $('.node-translation-view .title').html(Drupal.t('Node Translation'));
        $('.node-translation-view .data').html(data);
        $('.node-translation-view').show();
      } catch (e) {}
    },
    error: function(xhr, status, thrown) {
      // Do nothing but at least have this function to handle it
    }
  });
};

/**
 *
 */
Drupal.node_translation.nodeSetLanguage = function(url) {
  $.ajax({
    type: "GET",
    url: url,
    processData: false,
    dataType: "html",
    success: function(data, status) {
      try {
        $('.node-translation-view .title').html(Drupal.t('Current Node Translations'));
        $('.node-translation-view .data').html(data);
        $('.node-translation-view').show();
        // Setting the click for nodes that we wish to translate
        $('a.node-translation-link-translate').click(function() {
          Drupal.node_translation.nodeTranslate(this.href);
          return false;
        });
      } catch (e) {}
    },
    error: function(xhr, status, thrown) {
      // Do nothing but at least have this function to handle it
    }
  });

};
